Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036815
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorunable to reproduce2017-09-08 14:362017-09-15 13:33
ReportermalsasuaView Statuspublic 
Assigned Tomigueldejuana 
PrioritynormalResolutionfixedFixed in VersionRR17Q4
StatusclosedFix in branchFixed in SCM revision17cc587fa5c6
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036815: terminal is unlinked when it goes offline

Descriptionwith a determinate network configuration, if you are using terminal authentication functionality, when the terminal goes offline, the property terminalName in local storage is removed, and pop up to link the device is displayed
Steps To Reproduce(with some network configuration):
. terminal > link device
. terminal > go offline
. terminal > go online
link popup is displayed
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0036835RR17Q3 closedmigueldejuana terminal is unlinked when it goes offline 
depends on backport 0036836RR17Q2.3 closedmigueldejuana terminal is unlinked when it goes offline 

-  Notes
(0098950)
hgbot (developer)
2017-09-11 15:45

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 17cc587fa5c6effb7b5e08fe636c313116bdd9ca
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Mon Sep 11 15:44:58 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/17cc587fa5c6effb7b5e08fe636c313116bdd9ca [^]

Fixed issue 0036815: terminal is unlinked when it goes offline

- Set the terminalName before starting asynchrony with the login request.

---
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
---

- Issue History
Date Modified Username Field Change
2017-09-08 14:36 malsasua New Issue
2017-09-08 14:36 malsasua Assigned To => Retail
2017-09-08 14:36 malsasua Triggers an Emergency Pack => No
2017-09-11 15:45 hgbot Checkin
2017-09-11 15:45 hgbot Note Added: 0098950
2017-09-11 15:45 hgbot Status new => resolved
2017-09-11 15:45 hgbot Resolution open => fixed
2017-09-11 15:45 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/17cc587fa5c6effb7b5e08fe636c313116bdd9ca [^]
2017-09-12 09:55 migueldejuana Assigned To Retail => migueldejuana
2017-09-12 09:55 migueldejuana Status resolved => new
2017-09-12 09:55 migueldejuana Resolution fixed => open
2017-09-12 09:56 migueldejuana Status new => scheduled
2017-09-12 15:51 migueldejuana Status scheduled => resolved
2017-09-12 15:51 migueldejuana Resolution open => fixed
2017-09-15 13:33 marvintm Review Assigned To => marvintm
2017-09-15 13:33 marvintm Status resolved => closed
2017-09-15 13:33 marvintm Fixed in Version => RR17Q4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker